summaryrefslogtreecommitdiffstats
path: root/autotest-hhvm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autotest-hhvm.sh')
-rwxr-xr-xautotest-hhvm.sh18
1 files changed, 10 insertions, 8 deletions
diff --git a/autotest-hhvm.sh b/autotest-hhvm.sh
index 4d8efa5a4b8..bf96a5133a6 100755
--- a/autotest-hhvm.sh
+++ b/autotest-hhvm.sh
@@ -66,20 +66,25 @@ if [ "$1" ]; then
fi
fi
-# Back up existing (dev) config if one exists
-if [ -f config/config.php ]; then
+# Back up existing (dev) config if one exists and backup not already there
+if [ -f config/config.php ] && [ ! -f config/config-autotest-backup.php ]; then
mv config/config.php config/config-autotest-backup.php
fi
-function restore_config {
+function cleanup_config {
+ cd "$BASEDIR"
# Restore existing config
if [ -f config/config-autotest-backup.php ]; then
mv config/config-autotest-backup.php config/config.php
fi
+ # Remove autotest config
+ if [ -f config/autoconfig.php ]; then
+ rm config/autoconfig.php
+ fi
}
-# restore config on exit, even when killed
-trap restore_config SIGINT SIGTERM
+# restore config on exit
+trap cleanup_config EXIT
# use tmpfs for datadir - should speedup unit test execution
if [ -d /dev/shm ]; then
@@ -236,9 +241,6 @@ else
execute_tests "$1" "$2" "$3"
fi
-cd "$BASEDIR"
-
-restore_config
#
# NOTES on mysql:
# - CREATE DATABASE oc_autotest;